=== debian/control ===
Source: ros-indigo-threemxl
Section: misc
Priority: extra
Maintainer: Wouter Caarls <w.caarls@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), libftdipp-dev, libmuparser-dev, libreadline-dev, libtinyxml-dev, pkg-config, ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-shared-serial
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-threemxl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libftdipp-dev, libmuparser-dev, libreadline-dev, libtinyxml-dev, ros-indigo-roscpp, ros-indigo-shared-serial
Description: Dynamixel and 3mxl driver
